## GtkComboBoxText GtkComboBoxText |

## Functions

GtkWidget * | gtk_combo_box_text_new ()
GtkWidget * | gtk_combo_box_text_new_with_entry ()
void | gtk_combo_box_text_append_text ()
void | gtk_combo_box_text_insert_text ()
void | gtk_combo_box_text_prepend_text ()
void | gtk_combo_box_text_remove ()
gchar * | gtk_combo_box_text_get_active_text ()

## Types and Values

struct | GtkComboBoxText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GtkComboBoxText

## Implemented Interfaces

GtkComboBoxText implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_combo_box_text_new ()

    GtkWidget *
    gtk_combo_box_text_new (void);

Since: 2.24

### gtk_combo_box_text_new_with_entry ()

    GtkWidget *
    gtk_combo_box_text_new_with_entry (void);

Since: 2.24

### gtk_combo_box_text_append_text ()

    void
    gtk_combo_box_text_append_text (GtkComboBoxText *combo_box,
                                    const gchar *text);

Since: 2.24

### gtk_combo_box_text_insert_text ()

    void
    gtk_combo_box_text_insert_text (GtkComboBoxText *combo_box,
                                    gint position,
                                    const gchar *text);

Since: 2.24

### gtk_combo_box_text_prepend_text ()

    void
    gtk_combo_box_text_prepend_text (GtkComboBoxText *combo_box,
                                     const gchar *text);

Since: 2.24

### gtk_combo_box_text_remove ()

    void
    gtk_combo_box_text_remove (GtkComboBoxText *combo_box,
                               gint position);

Since: 2.24

### gtk_combo_box_text_get_active_text ()

    gchar *
    gtk_combo_box_text_get_active_text (GtkComboBoxText *combo_box);

Since: 2.24

## Types and Values

### struct GtkComboBoxText

    struct GtkComboBoxText;